Subject: bug#48604: Linux-libre 5.12.5 freezes

From: Leo Famulari <[email-masked]>
Date: Mon, 24 May 2021 11:53:25 -0400

On Sun, May 23, 2021 at 11:22:25AM +0200, Yusuf Talha via Bug reports for GNU Guix wrote:
> hello.  i am using a librebooted thinkpad x200 laptop with gnu guix.  if i use the latest kernel on my system, my computer suddenly freezes without a reason after a while of usage.  it is probably a kernel panic.  older kernels don't have that problem.  i'd be glad if you fix this.  thank you for your attention.

Sorry to hear that.

The first step to solving this the "Guix way" is to rollback your
system, using the `guix system` command [0].

For example, you could use `guix system list-generations` to find the
most recent generation of your system profile that does not use
linux-libre 5.12. Then, you would use `guix system switch-generation $N
&& reboot`, where $N is the number of the generation you'd like to roll
back to.

Once your system is working again, I recommend choosing the 5.10 kernel
series, by putting (kernel linux-libre-5.10) in your config.scm [1],
reconfiguring, and rebooting. 5.11 is no longer available.

The 5.10 kernel series will be supported upstream until the end of 2026
[2], and hopefully will not introduce regressions for your hardware.

Finally, you may search for upstream bug reports, or report the bug to
Linux. I doubt many kernel developers are testing on the x200 at this
point, so they will need bug reports in order to fix the problem.

I hope that helps.

[0] https://guix.gnu.org/manual/en/html_node/Invoking-guix-system.html
[1] https://guix.gnu.org/manual/en/html_node/operating_002dsystem-Reference.html
[2] https://www.kernel.org/category/releases.html